Bug 160751 - cs46xx sound fails after resume from suspend on laptop
cs46xx sound fails after resume from suspend on laptop
Status: CLOSED DUPLICATE of bug 498287
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Brian Brock
MassClosed
: Reopened
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2005-06-16 22:39 EDT by Yaron Minsky
Modified: 2009-12-07 03:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after full excercise of hibernate/resume of cs46 card (52.04 KB, text/plain)
2008-04-14 11:00 EDT, Oliver Henshaw
no flags Details

  None (edit)
Description Yaron Minsky 2005-06-16 22:39:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
This is an old bug back from FC2 (Bug 1515765), but that bug was closed because of the end-of-life of FC2.  Basically, the bug is alive and well in FC4.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. Suspend laptop
2. Resume laptop
3. Try to play sound
  

Additional info:
Comment 1 Dave Jones 2005-07-15 17:39:58 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 2 Dave Jones 2005-09-30 03:07:42 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 3 Yaron Minsky 2005-10-03 04:26:44 EDT
Tried, and the bug persists in 2.6.13-1.1526_FC4
Comment 4 Dave Jones 2005-11-10 15:13:21 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Yaron Minsky 2005-11-13 22:36:50 EST
Tried.  Bug persists with new kernel:

tehanu: ~ $ uname -a
Linux tehanu.localdomain 2.6.14-1.1637_FC4 #1 Wed Nov 9 18:19:37 EST 2005 i686
i686 i386 GNU/Linux
Comment 6 Len Brown 2006-01-18 01:40:48 EST
in the failure case, does /proc/interrupts show
that the device is active?

if you rmmod the driver before suspend
and modprobe it after resume, does it work?
Comment 7 Dave Jones 2006-02-03 01:02:16 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 Yaron Minsky 2006-03-26 20:23:20 EST
This bug still lives, and indeed, continues to hold for FC5.
Comment 9 Dave Jones 2006-10-16 15:18:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Brad Smith 2007-05-26 09:37:24 EDT
By way of a workaround, I have this problem on my thinkpad T30 and found that
running:

  alsaunmute 0

restores the sound. If it complains about 0 not being a valid card number or if
it doesn't work, run alsacard to see what numeric ID your card(s) has. 
Comment 11 Nigel Cunningham 2007-06-11 20:39:02 EDT
Reported, does this bug still exist? If so, could you please give further
details regarding the sound card's chipset and whether workarounds such as
reloading modules or using alsaunmute help?
Comment 12 Nigel Cunningham 2007-06-11 20:39:51 EDT
Ah.. I forgot to look at the title. It, of course, has the chipset info. Sorry
about that :)
Comment 13 Jon Stanley 2008-01-19 23:41:03 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.
Comment 14 Oliver Henshaw 2008-04-14 10:56:26 EDT
Desktop with a cs46xx sound card has the same problem. Sound does not work after
resume from hibernate. This has persisted from my first using FC4 to F8.

In an effort to minimise confounding factors, I tried pm-hibernate from
run-level 3 and then 'aplay -D front test.wav' to bypass pulseaudio. Aplay fails
after a few seconds of silence. but removing and restoring snd drivers succeeds
in restoring sound. 'alsaunmute 0' as a work-around does nothing.

Comment 15 Oliver Henshaw 2008-04-14 11:00:52 EDT
Created attachment 302348 [details]
dmesg after full excercise of hibernate/resume of cs46 card

Here's the contents of dmesg after:

* Boot into run-level 3,
* pm-hibernate + resume,
* 'aplay -D front some.wav' fails,
* remove/reload snd modules,
* 'aplay -D front some.wav' succeeds.
Comment 16 Bug Zapper 2008-05-13 21:59:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Vedran Miletić 2008-10-05 05:55:36 EDT
This could be fixed in recent ALSA versions. Takashi did some work on this recently, IIRC.
Comment 18 Oliver Henshaw 2009-02-12 13:15:15 EST
Resume is still problematic with kernel-2.6.27.12-170.2.5.fc10.i686

(In reply to comment #17)
> This could be fixed in recent ALSA versions. Takashi did some work on this
> recently, IIRC.

This sounds like http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-unstable-2.6.git;a=history;f=sound/pci/cs46xx;hb=HEAD which doesn't seem to have reached the mainline kernel yet.
Comment 19 Bug Zapper 2009-06-09 18:01:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-07-14 13:01:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Oliver Henshaw 2009-07-20 07:29:24 EDT
This is still present in F11:

kernel-2.6.29.5-191.fc11.i586
alsa-lib-1.0.20-1.fc11.i586
Comment 22 Oliver Henshaw 2009-09-01 18:13:26 EDT
I fixed this by applying http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-unstable-2.6.git;a=commit;h=5775826d98b8652f8709193c3fc590e4c08a8bb3v on top of kernel-2.6.29.6-217.2.16.fc11.i586

I'm not sure if this patch has been forgotten about, or whether it's deemed not suitable for stable releases.


So sound now works fine after suspend/resume. Still have a few messages in /var/log/messages though - maybe they're harmless?

Sep  1 21:29:36 mostin kernel: ALSA sound/pci/cs46xx/dsp_spos.c:1897: dsp_spos: SPIOWriteTask not responding
Sep  1 21:29:36 mostin kernel: ALSA sound/pci/cs46xx/dsp_spos.c:1897: dsp_spos: SPIOWriteTask not responding
Sep  1 21:29:36 mostin kernel: ALSA sound/pci/cs46xx/dsp_spos.c:1897: dsp_spos: SPIOWriteTask not responding
Sep  1 21:29:36 mostin kernel: ALSA sound/pci/cs46xx/dsp_spos.c:1897: dsp_spos: SPIOWriteTask not responding
Sep  1 21:29:36 mostin kernel: ALSA sound/pci/cs46xx/dsp_spos.c:1897: dsp_spos: SPIOWriteTask not responding
Sep  1 21:29:36 mostin kernel: Clocksource tsc unstable (delta = -499993103 ns)
Sep  1 21:29:36 mostin kernel: ALSA sound/pci/cs46xx/cs46xx_lib.c:431: cs46xx: failure waiting for FIFO command to complete
Comment 23 Jaroslav Kysela 2009-12-07 03:20:46 EST

*** This bug has been marked as a duplicate of bug 498287 ***

Note You need to log in before you can comment on or make changes to this bug.